|

List the documents for a user

get/users/{fp_id}/documents
External ID
View the documents uploaded successfully by this user, optionally for a given onboarding_id.

Request

Path parameters

fp_id·

string

Query parameters

onboarding_id·

optional string

Response

created_at·

string

document_type·

string

Document type of the successfully uploaded document. Can be used to fetch from vault

Allowed values:

id_card
drivers_license
passport
passport_card
permit
visa
residence_document
voter_identification
ssn_card
proof_of_address
custom
id·

string

Identifier for a document
images·

object

Information about the uploaded images that can be used to fetch from the vault. For example, use the decrypt endpoint with <identifier>:<version> to fetch a particular document image

back·

optional object

Information about the back of the document
front·

optional object

Information about the front of the document
selfie·

optional object

Information about the selfie, if collected
onboarding_id·

string

The identifier of the onboarding in which this Document was collected
GET /users/{fp_id}/documents
1curl https://api.onefootprint.com/users/{fp_id}/documents \
2  -u sk_test_xxxxx:
Response example
[
  {
    "created_at": "2022-01-04T12:00-07:00",
    "document_type": "id_card",
    "id": "id_nDtKC0iGmi3klqpHJd5KoS",
    "images": {
      "back": {
        "identifier": "id.first_name",
        "version": 1
      },
      "front": {
        "identifier": "id.first_name",
        "version": 1
      },
      "selfie": {
        "identifier": "id.first_name",
        "version": 1
      }
    },
    "onboarding_id": "Lorem ipsum dolor"
  },
  {
    "created_at": "2022-01-04T12:00-07:00",
    "document_type": "id_card",
    "id": "id_nDtKC0iGmi3klqpHJd5KoS",
    "images": {
      "back": {
        "identifier": "id.first_name",
        "version": 1
      },
      "front": {
        "identifier": "id.first_name",
        "version": 1
      },
      "selfie": {
        "identifier": "id.first_name",
        "version": 1
      }
    },
    "onboarding_id": "Lorem ipsum dolor"
  }
]